Package com.xebialabs.xlrelease.utils

# Class Tree.TreeOps<A>

java.lang.Object
scala.AnyVal
com.xebialabs.xlrelease.utils.Tree.TreeOps<A>

Enclosing interface:
  `Tree<A>`

public static class Tree.TreeOps<A> extends scala.AnyVal

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeOps(Tree<A> t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.collection.immutable.List<A>`
  `bottomUp()`
  `boolean`
  `equals(Object x$1)`
  `Tree<A>`
  `filter(scala.Function1<A,Object> f)`
  `Tree<A>`
  `filterChildren(scala.Function1<A,Object> f)`
  `<B> Tree<B>`
  `flatMap(scala.Function1<A,Tree<B>> f)`
  `<B> B`
  `fold(scala.Function0<B> default_, scala.Function1<Tree.Node<A>,B> f)`
  `<U> void`
  `foreach(scala.Function1<A,U> f)`
  `int`
  `hashCode()`
  `<B> Tree<B>`
  `map(scala.Function1<A,B> f)`
  `Tree<A>`
  `t()`
  `scala.collection.immutable.List<A>`
  `toList()`
  `scala.Option<Tree.Node<A>>`
  `toOption()`
  `scala.collection.immutable.List<A>`
  `topDown()`
  `<B> Tree<B>`
  `unsafeFlatMap(scala.Function1<Tree.Node<A>,Tree<B>> f)`
  `<B> Tree<B>`
  `unsafeMap(scala.Function1<Tree.Node<A>,B> f)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeOps

    public TreeOps(Tree<A> t)

- ## Method Details

  - ### t

    public Tree<A> t()

  - ### fold

    public <B> B fold(scala.Function0<B> default_, scala.Function1<Tree.Node<A>,B> f)

  - ### map

    public <B> Tree<B> map(scala.Function1<A,B> f)

  - ### foreach

    public <U> void foreach(scala.Function1<A,U> f)

  - ### filter

    public Tree<A> filter(scala.Function1<A,Object> f)

  - ### filterChildren

    public Tree<A> filterChildren(scala.Function1<A,Object> f)

  - ### flatMap

    public <B> Tree<B> flatMap(scala.Function1<A,Tree<B>> f)

  - ### toOption

    public scala.Option<Tree.Node<A>> toOption()

  - ### toList

    public scala.collection.immutable.List<A> toList()

  - ### topDown

    public scala.collection.immutable.List<A> topDown()

  - ### bottomUp

    public scala.collection.immutable.List<A> bottomUp()

  - ### unsafeMap

    public <B> Tree<B> unsafeMap(scala.Function1<Tree.Node<A>,B> f)

  - ### unsafeFlatMap

    public <B> Tree<B> unsafeFlatMap(scala.Function1<Tree.Node<A>,Tree<B>> f)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Overrides:
      `equals` in class `Object`